using System.Collections.Generic;
using Intrepid.Integration.Persistence;
using Intrepid.Integration.Persistence.DTOs;

namespace Intrepid.Gameplay.Data
{
    public class WorldDataStorage : AbstractDataStorage<WorldDataStorage, WorldDTO>
    {
        public override int Order => 1;

        protected override void ValidateDataOrError(List<string> errors)
        {
        }

        protected override WorldDTO Marshal()
        {
            return new WorldDTO
            {
                
            };
        }

        protected override void Unmarshal(GameDataSlotType slotType, GameSlotDTO gameSlot)
        {
        }
    }
}